# Ex2.py
# Group recommendations for every person (like a shopping list)

datRatings = "ratings.dat"

def loadData(fileName):
    try:    
        fData = open(fileName, 'r')
    except:
        return []
    out = []
    for line in fData:
        line = line[:-1]  # remove \n
        if len(line) == 0:  # empty line
            continue
        li = [i for i in line.split(",")]
        out.append(li)
    fData.close()
    return out

samples = loadData(datRatings)
id = 0
X = [] # list with list for each person with its recommendations
li = []
# precondition: recommendations of a persons are consecutive
for sample in samples:
    personId = int(sample[0])
    if personId != id:  # next person
        X.append(li)
        id = personId
        li = [sample[1]]
    else:
        li.append(sample[1]) # same person
print X
print "Number of records:", len(X)
